import React, { useEffect, useMemo, useState, useRef } from 'react'
import Taro, { useDidShow } from '@tarojs/taro'
import './index.scss'
import { View, Text, Input, Image } from '@tarojs/components'
import VirtualList from '@tarojs/components/virtual-list'
import ContainerLayout from '../../compents/container/index'
import Tab from '../../compents/tab/index'
import Layout from '../../layout/index'
import request from '../../util/request'


// const Row = React.memo(({ id, index, style, data }) => {
//   console.log({ id, index, style, data },'444')
//   return (
//     <View className='account-view' id={index}>
//       {/* <Text className='account-view-title'>店铺编号：{index}</Text> */}
//       <ContainerLayout className='account-view-card'>
//         <View className='top' >
//           <View>店铺名称：{data[index]?.name||''}</View>
//           {/* <View>电话：{x.user.name}</View>
//         <View>微信号：{x.user.name}</View>
//         <View>房源数：{x.user.name}</View> */}
//         </View>
//         <View className='bottom'>
//           <Text onClick={() => { Taro.navigateTo({ url: `/pages/account/edit/index?=${data.shopId}` }) }}>编辑</Text>
//           <Text >删除</Text>
//         </View>
//       </ContainerLayout>

//     </View>
//   );
// })

const account = (props) => {

  const [list, setList] = useState([])
  const [page, setPage] = useState({ total: 0, pageNum: 0 })
  const [radioHouse, setRadioHouse] = useState()
  const [loading, setLoading] = useState(false)

  const radioHouseState = useMemo(() => props.radioHouseState, [props.radioHouseState])

  console.log(props, radioHouseState)
  useEffect(() => {


  }, [])

  useDidShow(() => {
    getShopList({ pageNum: 1, pageSize:10 })
  })

  function getShopList(params) {
    setLoading(true)
    request({ url: "/taShop",params,  method: 'get' })
      .then((res) => {
        const { records, ...page} = res.data.data

        setLoading(false)
        setPage({
          ...page,
          pageNum: page.current
        })

        setList(list.concat(records || []))

      }).catch(() => setLoading(false))
  }

  const onDelete = (shopId) => {
    Taro.showModal({
      title: '确定删除该店铺吗',
      // content: '确定后，该老板房源信息将一并删除',
      cancelColor: '#d2d2d2',
      confirmColor: "#274191",
      success: function (res) {
        if (res.confirm) {
         
          request({ url: `/taShop/${shopId}`,  method: 'delete' })
          .then((res) => {
          })


        } else if (res.cancel) {
          console.log('用户点击取消')
        }
      }
    })
  }

  // const listReachBottom = () => {
  //   getShopList({ pageNum: page.pageNum + 1 })
  // }
  

  return <View className='account'>
    <Layout>
      {/* <VirtualList
        className='List'
        height={500}
        itemData={list}
        itemCount={list.length}
        itemSize={100}
        width='100%'
        onScroll={({ scrollDirection, scrollOffset }) => {
          console.log(scrollDirection, scrollOffset, 'onScroll')
          if (
          
            !loading &&
          
            scrollDirection === 'forward' &&
          
            scrollOffset > ((list.length - 6) * 100 + 50)
          ) {
            console.log('listReachBottom')
            listReachBottom()
          }
        }}
      >
        {Row}
      </VirtualList> */}

      {
        list.map((item)=>{
        return  <View className='account-view' >
          {/* <Text className='account-view-title'>店铺编号：{index}</Text> */}
          <ContainerLayout className='account-view-card'>
            <View className='top' >
              <View>店铺名称：{item.name||''}</View>
              {/* <View>电话：{x.user.name}</View>
            <View>微信号：{x.user.name}</View>
            <View>房源数：{x.user.name}</View> */}
            </View>
            <View className='bottom'>
              <Text onClick={() => { Taro.navigateTo({ url: `/pages/account/index?id=${item.shopId}` }) }}>详情</Text>
              <Text onClick={()=>onDelete(item.shopId)}>删除</Text>
            </View>
          </ContainerLayout>
    
        </View>
        })
      }

    </Layout>
    {/* onClick={(e)=>(e) */}
    <Tab value={['+新增店铺']} color='#ffffff' onClick={() => { Taro.navigateTo({ url: `/pages/shop/edit/index` }) }} ></Tab>
  </View>
}

export default account